summaryrefslogtreecommitdiffstats
path: root/libraries/xerces-c
diff options
context:
space:
mode:
author Robert Allen2012-08-09 22:46:05 +0200
committer Robby Workman2012-08-09 22:47:24 +0200
commit1fb2c9b531a9eaf56e7e1834b91349c15f708b23 (patch)
tree040809a8c5872dcb52920aae1fd94ac176fd5ed1 /libraries/xerces-c
parent3ce7afed45ed962589edae68974c2f96c787d108 (diff)
downloadslackbuilds-1fb2c9b531a9eaf56e7e1834b91349c15f708b23.tar.gz
libraries/xerces-c: Updated for version 3.1.1 (+ new maintainer)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/xerces-c')
-rw-r--r--libraries/xerces-c/README9
-rw-r--r--libraries/xerces-c/slack-desc12
-rw-r--r--libraries/xerces-c/xerces-c.SlackBuild101
-rw-r--r--libraries/xerces-c/xerces-c.info14
4 files changed, 64 insertions, 72 deletions
diff --git a/libraries/xerces-c/README b/libraries/xerces-c/README
index 5810e50f91..ab92d0f988 100644
--- a/libraries/xerces-c/README
+++ b/libraries/xerces-c/README
@@ -1,5 +1,4 @@
-Xerces-C++ is a validating XML parser written in a
-portable subset of C++. Xerces-C++ makes it easy to
-give your application the ability to read and write XML
-data. A shared library is provided for parsing, generating,
-manipulating, and validating XML documents.
+Xerces-C++ is a validating XML parser written in a portable subset
+of C++. Xerces-C++ makes it easy to give your application the ability
+to read and write XML data. A shared library is provided for parsing,
+generating, manipulating, and validating XML documents.
diff --git a/libraries/xerces-c/slack-desc b/libraries/xerces-c/slack-desc
index 6ce71b3b44..1d03672a4e 100644
--- a/libraries/xerces-c/slack-desc
+++ b/libraries/xerces-c/slack-desc
@@ -1,9 +1,9 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
xerces-c: xerces-c (XML Parser)
@@ -14,6 +14,6 @@ xerces-c: give your application the ability to read and write XML
xerces-c: data. A shared library is provided for parsing, generating,
xerces-c: manipulating, and validating XML documents.
xerces-c:
-xerces-c: Homepage: http://xml.apache.org/xerces-c/
+xerces-c: Homepage: http://xerces.apache.org/xerces-c/
xerces-c:
xerces-c:
diff --git a/libraries/xerces-c/xerces-c.SlackBuild b/libraries/xerces-c/xerces-c.SlackBuild
index be03bff879..932caaf00f 100644
--- a/libraries/xerces-c/xerces-c.SlackBuild
+++ b/libraries/xerces-c/xerces-c.SlackBuild
@@ -2,29 +2,15 @@
# Slackware build script for xerces-c
-# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
-# All rights reserved.
+# Copyright 2012 Robert Allen <slacker@slaphappygeeks.com>
+# All rights reserved
+# Including Creator Endowed Unalienable Rights
#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# This script is placed into the public domain by the author
PRGNAM=xerces-c
-VERSION=2.8.0
-BUILD=${BUILD:-3}
+VERSION=3.1.1
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -40,7 +26,12 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SRCVER=$(echo $VERSION | tr . _)
+##############################################################################
+# WITHSAMPLES=1 will install samples to /usr/share/xerces-c-.../samples/
+# WITHDOCS=1 will install HTML docs to /usr/share/xerces-c-.../manual/
+WITHSAMPLES=${WITHSAMPLES:-0}
+WITHDOCS=${WITHDOCS:-0}
+##############################################################################
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -56,52 +47,54 @@ elif [ "$ARCH" = "x86_64" ]; then
BITS=64
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-src_$SRCVER
-tar xvzf $CWD/$PRGNAM-src_$SRCVER.tar.gz
-cd $PRGNAM-src_$SRCVER
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-cd src/xercesc/
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- XERCESCROOT="$TMP/$PRGNAM-src_$SRCVER" \
- ./runConfigure \
- -p linux \
- -c gcc \
- -x g++ \
- -m inmem \
- -n socket \
- -t native \
- -r pthreads \
- -b $BITS \
- -P /usr \
- -C libdir=/usr/lib${LIBDIRSUFFIX}
-
-# I could not get this to compile with more than 1 job, XGizzmo
- XERCESCROOT="$TMP/$PRGNAM-src_$SRCVER" \
- make -j1
-
- XERCESCROOT="$TMP/$PRGNAM-src_$SRCVER" \
- ICUROOT=/usr \
- make install DESTDIR=$PKG
-cd -
-
-# For now, it seems that the libdir flag is ignored, so...
-if [ "$ARCH" = "x86_64" ]; then
- mv $PKG/usr/lib $PKG/usr/lib64
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make -j1
+make install DESTDIR=$PKG
+
+if [ "$WITHSAMPLES" = "1" ]; then
+ find samples/ -type d -name '.deps' -exec rm -r '{}' \+
+ find samples/ -type d -name '.libs' -exec rm -r '{}' \+
+ find samples/ -type f -name '.dirstamp' -exec rm '{}' \+
+ find samples/ -type f -name 'Makefile*' -exec rm '{}' \+
+ find samples/ -type f -name '*.o' -exec rm '{}' \+
+ mkdir -p $PKG/usr/share/$PRGNAM-$VERSION/samples
+ mv $PKG/usr/bin $PKG/usr/share/$PRGNAM-$VERSION/samples
+ cp -a samples/data samples/src $PKG/usr/share/$PRGNAM-$VERSION/samples
+else
+ rm -rf $PKG/usr/bin
+fi
+
+if [ "$WITHDOCS" = "1" ]; then
+ mkdir -p $PKG/usr/share/$PRGNAM-$VERSION/manual
+ cp -rf doc/html/* $PKG/usr/share/$PRGNAM-$VERSION/manual/.
fi
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a KEYS LICENSE* NOTICE Readme.html STATUS credits.txt \
+cp -a CREDITS README KEYS LICENSE NOTICE \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/libraries/xerces-c/xerces-c.info b/libraries/xerces-c/xerces-c.info
index 98d8603986..9df8215a92 100644
--- a/libraries/xerces-c/xerces-c.info
+++ b/libraries/xerces-c/xerces-c.info
@@ -1,10 +1,10 @@
PRGNAM="xerces-c"
-VERSION="2.8.0"
-HOMEPAGE="http://xml.apache.org/xerces-c/"
-DOWNLOAD="http://apache.mirrors.tds.net/xerces/c/2/sources/xerces-c-src_2_8_0.tar.gz"
-MD5SUM="5daf514b73f3e0de9e3fce704387c0d2"
+VERSION="3.1.1"
+HOMEPAGE="http://xerces.apache.org/xerces-c/"
+DOWNLOAD="http://apache.cs.utah.edu/xerces/c/3/sources/xerces-c-3.1.1.tar.gz"
+MD5SUM="6a8ec45d83c8cfb1584c5a5345cb51ae"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="ppr:kut"
-EMAIL="HMWiesinger@gmx.at"
-APPROVED="dsomero,rworkman"
+MAINTAINER="Robert Allen"
+EMAIL="slacker@slaphappygeeks.com"
+APPROVED="rworkman"